package com.hzya.frame.seeyon.cbs8.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * @Description 代发代扣 主表
 * @Author xiangerlin
 * @Date 2024/6/18 14:44
 **/
public class AgentPaymentEntity extends BaseEntity {

    //oa id
    private String oaId;
    private String finishedflag;
    //流程标题
    private String title;
    //业务参考号
    private String referenceNum;
    /**
     * 业务类型
     * 201-代扣
     * 203-代发
     * 代发工资传203
     */
    private String busType;
    //总金额 小数位2位
    private String amount;
    //币种
    private String currency;
    //付款账号
    private String payAccount;
    //用途
    private String purpose;
    //申请单号
    private String applyCode;
    //支付结果
    private String payResult;

    private String tableName;//表名称
    private String billName;//单据名称

    public String getReferenceNum() {
        return referenceNum;
    }

    public void setReferenceNum(String referenceNum) {
        this.referenceNum = referenceNum;
    }

    public String getBusType() {
        return busType;
    }

    public void setBusType(String busType) {
        this.busType = busType;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getPayAccount() {
        return payAccount;
    }

    public void setPayAccount(String payAccount) {
        this.payAccount = payAccount;
    }

    public String getPurpose() {
        return purpose;
    }

    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getBillName() {
        return billName;
    }

    public void setBillName(String billName) {
        this.billName = billName;
    }

    public String getOaId() {
        return oaId;
    }

    public void setOaId(String oaId) {
        this.oaId = oaId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getFinishedflag() {
        return finishedflag;
    }

    public void setFinishedflag(String finishedflag) {
        this.finishedflag = finishedflag;
    }

    public String getApplyCode() {
        return applyCode;
    }

    public void setApplyCode(String applyCode) {
        this.applyCode = applyCode;
    }

    public String getPayResult() {
        return payResult;
    }

    public void setPayResult(String payResult) {
        this.payResult = payResult;
    }
}
